# Interface HttpHeaderParser.HeaderDataSource

All Known Implementing Classes:
  `ChunkedInputFilter`

Enclosing class:
  `HttpHeaderParser`

public static interface HttpHeaderParser.HeaderDataSource

## Method Summary

Modifier and Type
Method
Description
`boolean`
`fillHeaderBuffer()`
Read more data into the header buffer.
`ByteBuffer`
`getHeaderByteBuffer()`
Obtain a reference to the buffer containing the header data.

## Method Details

### fillHeaderBuffer

boolean fillHeaderBuffer() throws IOException
Read more data into the header buffer. The implementation is expected to determine if blocking or not blocking IO should be used.

Returns:
  `true` if more data was added to the buffer, otherwise `false`
Throws:
  `IOException` - If an I/O error occurred while obtaining more header data

### getHeaderByteBuffer

ByteBuffer getHeaderByteBuffer()
Obtain a reference to the buffer containing the header data.

Returns:
  The buffer containing the header data